Summary:	Utility library used by Matchbox utilities
Summary(pl.UTF-8):	Biblioteka narzędziowa używana przez narzędzia Matchbox
Name:		libmatchbox
Version:	1.11
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://downloads.yoctoproject.org/releases/matchbox/libmatchbox/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	fc6cc807f55a3e7c752d8013176875d7
Patch0:		%{name}-libs.patch
URL:		https://www.yoctoproject.org/software-item/matchbox/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.4
BuildRequires:	libtool
BuildRequires:	libxsettings-client-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility library used by Matchbox utilities.

%description -l pl.UTF-8
Biblioteka narzędziowa używana przez narzędzia Matchbox.

%package devel
Summary:	Header files for Matchbox library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Matchbox
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libpng-devel >= 2:1.4
Requires:	libxsettings-client-devel
Requires:	pango-devel
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXft-devel

%description devel
Header files for Matchbox library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Matchbox.

%package static
Summary:	Static Matchbox library
Summary(pl.UTF-8):	Statyczna biblioteka Matchbox
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Matchbox library.

%description static -l pl.UTF-8
Statyczna biblioteka Matchbox.

%prep
%setup -q
%patch0 -p1

#%{__sed} -i -e 's/png_check_sig( header, 8 )/!png_sig_cmp(header, 0, 8)/g' libmb/mbpixbuf.c

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-jpeg \
	--enable-pango \
	--disable-silent-rules \
	--enable-xsettings
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmb.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %ghost %{_libdir}/libmb.so.1
%attr(755,root,root) %{_libdir}/libmb.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmb.so
%{_includedir}/libmb
%{_pkgconfigdir}/libmb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmb.a
%changelog
* Sun Dec 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmatchbox.git;a=log;h=master

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 971ada5
- new URLs, updated to 1.11
- removed obsolete ac,libpng15 patches

* Fri Oct 14 2016 Tomasz Pala <gotar@pld-linux.org> 5813cfd
- removed libmb.la, rebuild without pangoxft.la, new URL (1.11 available)

* Wed May 06 2015 Jan Rękorajski <baggins@pld-linux.org> 9dcb5c7
- x32 rebuild
- release 13 (by relup.sh)

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> 619ac23
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c1a2360
- ghost symlink
- rel 12

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 3966369
- release 11 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c3ff8b3
- release 10 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a9c861
- release 9 (by relup.sh)

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> db5677a
- libpng-1.5 fixes

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> af949e2
- pass XLIBS_LIBS when building dump_image

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 62c0a0f
- replace AM_PATH_CHECK with PKG_CHECK_MODULES

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 9134aac
- replace AM_PATH_CHECK with PKG_CHECK_MODULES (-ac.patch)
- pass XLIBS_LIBS when building dump_image (-libs.patch)
- regenerate ac* (BR: ac,am,lt)
- release 8 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 226750b
- release 7

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 714fd31
- release 6

* Thu Feb 11 2010 amateja <amateja@pld-linux.org> d3b076d
- fixed build for libpng-1.4
- release 5

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 927f75e
- release 4

* Sat Jul 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 90a1483
- release 3

* Wed Jun 20 2007 Jakub Bogusz <qboosh@pld-linux.org> 5abb408
- pass configure options to actually use already Required libs
- s/Xsettings-client/libxsettings-client/
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> cac5203
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 543da65
- converted to UTF-8

